CREATE OR ALTER procedure GET_INFO_SCHET (
    MKOD char(6),
    DATE_1 date,
    DATE_2 date,
    USL_OK integer,
    SMO integer,
    IS_MEK integer,
    IS_PD integer)
returns (
    SUMMAV numeric(15,2),
    SL_COUNT integer,
    ED_COL integer)
as
declare variable S char(15);
declare variable IDREP integer;
declare variable KL integer;
declare variable KLM integer;
declare variable SUM_COM numeric(15,2);
declare variable SUM_R numeric(15,2);
declare variable YT numeric(15,2);
declare variable SUM_RM numeric(15,2);
declare variable YTM numeric(15,2);
declare variable K_POS integer;
declare variable K_POSM integer;
begin
sum_com = 0;
sum_r = 0;
kl = 0;
yt = 0;
sum_rm = 0;
klm = 0;
ytm = 0;
summav = 0;
sl_count = 0;
k_pos = 0;
k_posm = 0;
ed_col = 0;
sl_count = 0;
 select l.c_ogrn from lpu l where l.mkod =:mkod  into s ;
 if (is_mek=0) then   /*  */
 begin
  if (is_pd=0) then   begin     /*     */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if (smo=1) then     /**/
 begin
 select (r.ok_fin+r.ok_fin_in-r.evalforeignsumm) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137'
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt /3);
 end
 if (smo=45001) then     /* */
 begin
 select (r.ok_fin+r.ok_fin_in-r.evalforeignsumm) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137'
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=45002) then     /**/
 begin
 select (r.ok_fin+r.ok_fin_in-r.evalforeignsumm) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137'
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=45) then /* */
 begin
 select /*sum(s.summ)*/sum(s.reg_summ), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137'
    into :sum_com, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_com = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
 summav = summav + sum_com;
 sl_count = sl_count + kl;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then /*   */
 begin
 select (r.ok_fin+r.ok_fin_in) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep
 into :kl, :k_pos, :yt;
 sl_count = sl_count + kl;
 summav = summav + sum_r;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 end
  end
  if (is_pd=1) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=0))then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt /3);
 end
 if (smo=45001) then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod and s.company='2778'
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt /3);
 end
 if (smo=45002) then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod and s.company='2779'
    into :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 end
  end
   if (is_pd=2) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=45001) or (smo=45002))   then
 begin
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod<>:mkod
    into :sum_r, :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
  if (smo=45) then
 begin
 summav = 0 ;
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137'
    into :sum_r, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then
 begin
 select (r.ok_fin+r.ok_fin_in) from report r
 where r.id_report = :idrep
 into :sum_r;
 select /*sum(s.summ)*/sum(s.reg_summ), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.mkod<>:mkod
 into :sum_r, :kl, :k_pos, :yt;
 sl_count = sl_count + kl;
 summav = summav + sum_r;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 end
  end
 end  /*if*/
 if (is_mek=1) then   /*  */
 begin
  if (is_pd=0) then   begin     /*     */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=45001) or (smo=45002))  then     /**/
 begin
 select (r.ok_fin+r.ok_fin_in-r.evalforeignsumm) from report r
 where r.id_report = :idrep  into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137'
    into :kl, :k_pos, :yt;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0
    into :klm, :k_posm, :ytm, :sum_rm;
  if (sum_rm is null) then Begin
 sum_rm = 0;
 k_posm = 0;
 ytm = 0;
 klm = 0;
 end
  sl_count = sl_count + kl-klm;
  summav = summav + sum_r-sum_rm;
  ed_col = ed_col + (k_pos-k_posm) + round((yt-ytm) / 3);
 end
 if (smo=45) then /* */
 begin
 select /*sum(s.summ)*/sum(s.reg_summ), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137' and s.s_mek is null
    into :sum_com, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_com = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
 summav = summav + sum_com;
 sl_count = sl_count + kl;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then /*   */
 begin
 select (r.ok_fin+r.ok_fin_in) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep
 into :kl, :k_pos, :yt;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.s_mek>0
    into :klm, :k_posm, :ytm, :sum_rm;
  if (sum_rm is null) then Begin
 sum_rm = 0;
 k_posm = 0;
 ytm = 0;
 klm = 0;
 end
  sl_count = sl_count + kl-klm;
  summav = summav + sum_r-sum_rm;
  ed_col = ed_col + (k_pos-k_posm) + round((yt-ytm) /3);
 end
 end
  end
  if (is_pd=1) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=0))then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod
    into :kl, :k_pos, :yt;
select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0  and s.mkod=:mkod
    into :klm, :k_posm, :ytm, :sum_rm;
  if (sum_rm is null) then Begin
 sum_rm = 0;
 k_posm = 0;
 ytm = 0;
 klm = 0;
 end
  sl_count = sl_count + kl-klm;
  summav = summav + sum_r-sum_rm;
  ed_col = ed_col + (k_pos-k_posm) + round((yt-ytm) / 3);
 end
 if (smo=45001) then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod and s.company='2778'
    into :kl, :k_pos, :yt;
select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0 and s.mkod=:mkod  and s.company='2778'
    into :klm, :k_posm, :ytm, :sum_rm;
  if (sum_rm is null) then Begin
 sum_rm = 0;
 k_posm = 0;
 ytm = 0;
 klm = 0;
 end
  sl_count = sl_count + kl-klm;
  summav = summav + sum_r-sum_rm;
  ed_col = ed_col + (k_pos-k_posm) + round((yt-ytm) / 3);
 end
 if (smo=45002) then
 begin
 select (r.ok_fin) from report r
 where r.id_report = :idrep
 into :sum_r;
 select count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod=:mkod and s.company='2779'
    into :kl, :k_pos, :yt;
select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0 and s.mkod=:mkod  and s.company='2779'
    into :klm, :k_posm, :ytm, :sum_rm;
  if (sum_rm is null) then Begin
 sum_rm = 0;
 k_posm = 0;
 ytm = 0;
 klm = 0;
 end
  sl_count = sl_count + kl-klm;
  summav = summav + sum_r-sum_rm;
  ed_col = ed_col + (k_pos-k_posm) + round((yt-ytm) / 3);
 end
 end
  end
   if (is_pd=2) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=45001) or (smo=45002))   then
 begin
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod<>:mkod and s.s_mek is null
    into :sum_r, :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
  if (smo=45) then
 begin
 summav = 0 ;
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137'  and s.s_mek is null
    into :sum_r, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then
 begin
 select /*sum(s.summ)*/sum(s.reg_summ), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.mkod<>:mkod and s.s_mek is null
 into :sum_r, :kl, :k_pos, :yt;
 sl_count = sl_count + kl;
 summav = summav + sum_r;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 end
  end
 end  /*if*/
 if (is_mek=2) then      /* */
 begin
  if (is_pd=0) then   begin     /*     */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=45001) or (smo=45002))  then     /**/
 begin
 select sum(s.s_mek), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0
    into :sum_r, :kl, :k_pos, :yt;
  if (sum_r is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + (k_pos) + round((yt) / 3);
 end
 if (smo=45) then /* */
 begin
 select /*sum(s.summ)*/sum(s.reg_summ), count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137' and s.s_mek is not null
    into :sum_com, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_com = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
 summav = summav + sum_com;
 sl_count = sl_count + kl;
 ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then /*   */
 begin
  select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.s_mek>0
    into :kl, :k_pos, :yt, :sum_r;
  if (sum_r is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + (k_pos) + round((yt) / 3);
 end
 end
  end
  if (is_pd=1) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=0))then
 begin
  select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0 and s.mkod=:mkod
    into :kl, :k_pos, :yt, :sum_r;
  if (sum_r is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + (k_pos) + round((yt) / 3);
 end
 if (smo=45001) then
 begin
  select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0  and s.company='2778'
 and s.mkod=:mkod
    into :kl, :k_pos, :yt, :sum_r;
  if (sum_r is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + (k_pos) + round((yt) / 3);
 end
 if (smo=45002) then
 begin
  select count(s.id_stattalon), sum(s.pos_count), sum(s.yet), sum(s.s_mek) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.s_mek>0 and s.company='2779'
 and s.mkod=:mkod
    into :kl, :k_pos, :yt, :sum_r;
  if (sum_r is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + (k_pos) + round((yt) / 3);
 end
 end
  end
   if (is_pd=2) then   begin     /*  */
for select r.id_report from report r
 where r.lpu_ogrn =:s and r.economstate=4 and (r.enddate >=:date_1 and r.enddate <=:date_2)
 into :idrep do
 begin
 if ((smo=1) or (smo=45001) or (smo=45002))   then
 begin
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr='1137' and s.mkod<>:mkod and s.s_mek is not null
    into :sum_r, :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
  if (smo=45) then
 begin
 summav = 0 ;
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.terr<>'1137'  and s.s_mek is not null
    into :sum_r, :kl, :k_pos, :yt;
  if (sum_com is null) then Begin
 sum_r = 0;
 k_pos = 0;
 yt = 0;
 kl = 0;
 end
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 if (smo=0) then
 begin
 select /*sum(s.summ)*/sum(s.reg_summ),  count(s.id_stattalon), sum(s.pos_count), sum(s.yet) from stattalon s
 where s.id_report = :idrep and s.mkod<>:mkod and s.s_mek is not null
    into :sum_r, :kl, :k_pos, :yt;
  sl_count = sl_count + kl;
  summav = summav + sum_r;
  ed_col = ed_col + k_pos + round(yt / 3);
 end
 end
  end

 end  /*if*/

  suspend;
end
