CREATE OR ALTER procedure SUMM_REPORT_RAS (
    ID_REPORT integer)
as
declare variable ALL_SUMM numeric(18,2);
declare variable ALL_KOL numeric(18,2);
declare variable ME_KOL numeric(18,2);
declare variable MOD_SUMM numeric(18,2);
declare variable YCH_SUMM numeric(18,2);
declare variable ME_SUMM numeric(18,2);
declare variable OK_SUMM numeric(18,2);
declare variable YET_SUMM numeric(18,2);
declare variable OK_SUMM_IN numeric(18,2);
declare variable SF_SUMM numeric(18,2);
begin
all_summ = 0;
all_kol = 0;
me_kol = 0;
me_summ = 0;
ok_summ = 0;
ok_summ_in = 0;
yet_summ = 0;
mod_summ = 0;
ych_summ = 0;
sf_summ = 0;
  select sum(summ), sum(stattalon.pos_count), sum(stattalon.sum_fss),
  sum(stattalon.mod_ych), sum(stattalon.ok_fin), sum(stattalon.yet),sum(stattalon.reg_summ)
  from stattalon where stattalon.id_report = :id_report and stattalon.terr='1137'
    into :all_summ, :all_kol, :mod_summ, :ych_summ, :ok_summ, :yet_summ, :sf_summ;

if (yet_summ is null) then yet_summ = 0;
if (me_summ is null) then me_summ = 0;
if (ok_summ_in is null) then ok_summ_in = 0;
if (me_kol is null) then me_kol = 0;
if ((me_summ<>0) )  then
begin
  all_summ = all_summ - me_summ;
  all_kol = all_kol - me_kol;
end
  update report set
    evaluatedsumm = :all_summ , evaluatedrasumm = :all_kol, evaluatednpsumm = :mod_summ,
    report.sfactnersumm = :ych_summ, report.sfforeignrbdispsumm = :me_summ,
    report.ok_fin = :ok_summ, report.yet_r = :yet_summ, report.ok_fin_in = :ok_summ_in,
    report.sfactrbdispsumm = :sf_summ
    where id_report = :id_report;

end