CREATE OR ALTER procedure ADDSTATFIO (
    V_FAM char(40),
    V_IM char(40),
    V_OT char(40),
    V_DR date,
    V_GS char(1),
    V_ADR char(100),
    V_DOC char(25),
    V_W char(1),
    V_D_DOC date,
    V_O_DOC char(1000),
    V_IDSTAT integer)
as
declare variable ID integer;
BEGIN
    for select s.id_stattalon from stattalon s
    where s.id_stattalon = :v_idstat
        into :id do
    begin
        update stattalon s set
        s.fam = :v_fam,
        s.im = :v_im,
        s.ot = :v_ot,
        s.dr = :v_dr,
        s.gs = :v_gs,
        s.adres = :v_adr,
        s.sn_dok = :v_doc,
        s.w = :v_w,
        s.docdate = :v_d_doc,
        s.docorg = :v_o_doc
        where s.id_stattalon = :v_idstat;
    end
END